Skip to main content
PUT
/
gst
/
compliance
/
e-way-bill
/
consignor
/
bill
/
{ewb_no}
/
transporter
Update Transporter
curl --request PUT \
  --url https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bill/{ewb_no}/transporter \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "ewbNo": 231010079649,
  "transporterId": "29AAACW6874H1ZS"
}
'
{ "code": 200, "data": { "alert": "", "data": { "ewayBillNo": "231010079649", "transUpdateDate": "13/05/2024 01:10:00 PM", "transporterId": "29AAACW6874H1ZS" }, "status": "1" }, "timestamp": 1763446641000, "transaction_id": "120f5e86-0cb6-403d-8c5e-64526e51edc6" }

Request body schema

View request body schema

Headers

Authorization
string
required

E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the Authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

ewb_no
string
required
Example:

"141011175250"

Body

application/json

The body is of type object.

Response

200 - application/json

200 Transporter updated / 222 Invalid transporter id / 446 Transport details cannot be updated as EWB generated from NIC1

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"120f5e86-0cb6-403d-8c5e-64526e51edc6"